Page MenuHomePhabricator

rhg: add buffered stdout writing possibility
ClosedPublic

Authored by acezar on Aug 3 2020, 10:26 AM.

Details

Summary

Improve batch stdout writing performance.
At some point line buffered output should be introduced.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Aug 3 2020, 10:26 AM
Alphare accepted this revision.Aug 3 2020, 11:10 AM
Alphare added a subscriber: Alphare.

@acezar Do you remember the kind of performance difference we had when adding this? I think it would be interesting to add it to the commit message.

acezar added a comment.EditedAug 4 2020, 4:24 AM

I did not keep the numbers

acezar updated this revision to Diff 22250.Aug 4 2020, 4:58 AM
indygreg accepted this revision.Aug 8 2020, 4:02 PM
This revision is now accepted and ready to land.Aug 8 2020, 4:02 PM
This revision was automatically updated to reflect the committed changes.